#!/bin/bash

echo ===== RUNNING SYNTHETIC TABULAR CODE =====
python3 run_syn_tab.py
python3 plot_syn_tab.py

echo ===== RUNNING SYNTHETIC LINEAR CODE =====
python3 run_syn_lin.py
python3 plot_syn_lin.py

echo ===== RUNNING REAL LINEAR CODE =====
wget -q https://files.grouplens.org/datasets/movielens/ml-1m.zip
unzip -q ml-1m.zip -d data && rm ml-1m.zip
python3 run_real_lin.py
python3 plot_real_lin_main.py
python3 plot_real_lin_app.py